Subject: Re: Obscene content in cygwin file.
From: Yitzchak Scott-Thoennes <[email-masked]>
To: [email-masked]
Date: Thu, 6 Jan 2005 01:06:00 -0800

On Thu, Jan 06, 2005 at 09:57:48AM +0100, Vaclav Haisman wrote:
> On Wed, 5 Jan 2005, Christopher Faylor wrote:
> 
> > On Wed, Jan 05, 2005 at 11:32:14PM -0500, Brian Bruns wrote:
> > >Remember, alot of these have been in the fortunes package for god
> > >knows how long, and Cygwin isn't the only one thats going to have
> > >them.  I'm betting that any distro that has the Fortunes package has
> > >them too.
> >
> > Right.  The README of the package says this:
> >
> >   The potentially offensive fortunes are installed by default on FreeBSD
> >   systems.  If you're absolutely, *positively*,
> >   without-a-shadow-of-a-doubt sure that your user community goes
> >   berzerk/sues your pants off/drops dead upon reading one of them, edit
> >   the Makefile in the subdirectory datfiles, and do "make all install".
> >
> > So, we do undoubtedly have the default version and I am undoubtedly
> > getting more prudish about this type of thing.
> >
> > Maybe we need a vote.  I would really like to know how people feel about
> > this.  We haven't had a vote in a long time so:
> >
> > How do you feel about the off-color content in the cygwin fortune files?
> >
> >   [ ] Offended.  Think about the children!
> >   [X] Not offended.  Stop bothering me with your Puritanical values.
> >   [ ] Don't care.  Can we go back to talking about how negative this list is now?
> >
> Offensive fortunes should probably be accessible only through -o optiona but
> they definitely _must_ stay there. I would not even bother encoding them with
> rot13.

No choice but to.  -o files are expected to be rot13-encoded by the program.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/